BSON_ITER_TIMESTAMP(3)

NAME
bson_iter_timestamp - bson_iter_timestamp()

SYNOPSIS

#define BSON_ITER_HOLDS_TIMESTAMP(iter) \
   (bson_iter_type ((iter)) == BSON_TYPE_TIMESTAMP)
void
bson_iter_timestamp (const bson_iter_t *iter,
                     uint32_t *timestamp,
                     uint32_t *increment);

PARAMETERS

•   iter: A bson_iter_t.

•   timestamp: A uint32_t.

•   increment: A uint32_t.

DESCRIPTION

The BSON_TYPE_TIMESTAMP type is not a date/time and is typically used for intra-server communication.

You probably want bson_iter_date_time().

The bson_iter_timestamp() function shall return the contents of a BSON_TYPE_TIMESTAMP element. It is invalid to call this function while observing an element that is not of type BSON_TYPE_TIMESTAMP.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc